<template>
    <Form
        title="Add"
        @submit="save"
    /> 
</template>

<script>
import Form from '../../components/discount-links/Form.vue'
import api from '../../services/discount.service.js'

export default {
    components: {
      Form  
    },
    methods: {
      async save(e) {
        try {
          const data  = await api.createItem(e)
          if(data.id) {
            this.$notify({
              type: 'success',
              title: 'Discount Link Created'
            });
            this.$router.push({name: 'discount-links'})
          }
        } catch(err) {
            console.log(err)
          
        }
       
      }
    }
}
</script>
